AnsweredAssumed Answered

Feature doesn't unsuppress in VBA Macro

Question asked by Ruud Strauven on Apr 7, 2015
Latest reply on Apr 13, 2015 by Ruud Strauven

I want to unsuppress a feature in a part when the length of the part is higher then a certain value, but EditUnsuppress doesn't work.

Feature is suppressed in part.

The macro contains the following lines:

 

If Height.Value > 1200 Then

        Set Part = swApp.ActiveDoc

        Set myModelView = Part.ActiveView

        myModelView.FrameLeft = 0

        myModelView.FrameTop = 0

        Set myModelView = Part.ActiveView

        myModelView.FrameState = swWindowState_e.swWindowMaximized

 

        swApp.ActivateDoc2 "401-163-0002^" & code & "-001-000x.SLDPRT", False, longstatus

      

MsgBox "Bigger"

    

       boolstatus = Part.Extension.SelectByID2("Cut-Extrude4", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)

       Part.EditUnsuppress2

 

Anyone any suggestions?

Outcomes